#1 - 02/26/2013 11:59 AM - Costin Savin

Statements like :

COLOR DISPLAY red book.price.

This fails with:

EXPRESSION EXECUTION ERROR:

---------------------------

throwException(sprintf(spec, bufname, reftype), this)

^  { Cannot find buffer named p2j_test.book_p2j_test.book for ref type 21! [FIELD_DEC id <206158430222> 2:19] 

}

---------------------------

ERROR:

java.lang.RuntimeException: ERROR!  Active Rule:

-----------------------

      RULE REPORT      

-----------------------

Rule Type :   WALK

Source AST:  [ book.price ] BLOCK/STATEMENT/KW_COLOR/CONTENT_ARRAY/FIELD_DEC/ @2:19 {206158430222}

Copy AST  :  [ book.price ] BLOCK/STATEMENT/KW_COLOR/CONTENT_ARRAY/FIELD_DEC/ @2:19 {206158430222}

Condition :  throwException(sprintf(spec, bufname, reftype), this)

Loop      :  false

--- END RULE REPORT ---

#2 - 02/26/2013 12:57 PM - Constantin Asofiei

The following statements work the same as COLOR DISPLAY statement (no buffer is used):
enable book.book-title.

disable book.book-title.

next-prompt book.book-title.

underline book.book-title.

#3 - 02/26/2013 01:23 PM - Costin Savin

- File cs_upd20130226d.zip added

Added proposed update

#4 - 02/26/2013 01:57 PM - Constantin Asofiei

The changes look good, I'm putting this into conversion regression testing.

#5 - 02/26/2013 03:58 PM - Constantin Asofiei

There is a buffer scope change in so/serv53-r.p for buffer co-bnchmrk, but this is expected, as an UNDERLINE statement for a field in this buffer has

been setting the scope for the buffer to the wrong block.

#6 - 02/26/2013 04:20 PM - Constantin Asofiei

Committed to bzr revision 10214.

#7 - 02/26/2013 05:56 PM - Eric Faulhaber

- % Done changed from 0 to 100

- Status changed from New to Closed

#8 - 03/02/2013 01:19 AM - Eric Faulhaber

- Project changed from Liberty to User Interface

#9 - 11/16/2016 11:07 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

cs_upd20130226d.zip 41.3 KB 02/26/2013 Costin Savin
